

local new_keymenu = {}
local TTF = love.graphics.newFont("fonts/inconsolata-bold.ttf", 40)
local key


function new_keymenu.update()
end


function new_keymenu.key(new_scancode)
    -- remove every scancode that could be this key (avoid double-binding)
    for k,v in pairs(KEY) do
        if KEY[k].scancode == new_scancode then
            KEY[k].scancode = nil
        end
    end

    key.scancode = new_scancode
    controlmenu.init()
end


function new_keymenu.draw()
    love.graphics.draw(IMG_BACKGROUND)
    love.graphics.print({{1,.4,.4},LANG[25]}, 0, 20)
end


function new_keymenu.init(k)
    MODE_UPD, MODE_DRAW = new_keymenu.update, new_keymenu.draw
    love.graphics.setFont(TTF)
    KEYMODE = true
    key = k
end


return new_keymenu
