

local winner = {}


function winner.finish()
    --bga = nil
    love.audio.setVolume(1.0)
    PLAYERLEVEL = PLAYERLEVEL+1
    game.init()
end


function winner.update(dt)
    for k, v in pairs(actors) do
        v.update(v, dt)
    end
end


function winner.draw()
    love.graphics.setColor(.5, .5, .5)
    love.graphics.draw(BATCH_LEVEL, 0, 0, 0, 1, 1)
    love.graphics.setColor(1, 1, 1)
    love.graphics.draw(IMG_WINNER)

    for k, v in pairs(actors) do
        v.draw(v)
    end
end


function winner.init(bg)
    --bga = love.graphics.newImage(bg)
    MODE_UPD, MODE_DRAW = winner.update, winner.draw
    actors = {}
    players = {}
    SND_GOAL:setVolume(.7)
    love.audio.setVolume(.4)
    SND_GOAL:play()
    make_winnersprite(315, 170)
end


return winner
