

local credits = {}
local menu
local TTF = love.graphics.newFont("fonts/inconsolata-bold.ttf", 18)


function credits.finish(entry)
    if entry == "back" then
        mainmenu.init()
    end
end


function credits.update()
    menu:update()
    if KEY.esc.pressed then
        menu:_finish()
        KEY.esc.pressed = false
    end
end


function credits.draw()
    love.graphics.draw(IMG_BACKGROUND)
    love.graphics.setFont(TTF_TITLES)
    love.graphics.print({{1,.4,.4},LANG[44]}, 0, 20)
    love.graphics.setFont(TTF)
    love.graphics.print("\n\n\n\n\n"
    .."  "..LANG[16].."\n"
    .."  "..LANG[17].."\n"
    .."  "..LANG[18].."\n\n"
    .."  "..LANG[19].."\n\n"
    .."  "..LANG[28].."\n"
    .."  "..LANG[29].."\n"
    )
    menu:draw()
end


function credits.init()
    MODE_UPD, MODE_DRAW = credits.update, credits.draw
    love.graphics.setFont(TTF)
    menu = menuengine.new(35, 300)
    menu:addEntry(LANG[12], credits.finish, "back")
    KEY.esc.pressed = false
end


return credits
