

local err_keymenu = {}
local TTF = love.graphics.newFont("fonts/inconsolata-bold.ttf", 20)
local menu


function err_keymenu.finish()
    controlmenu.init()
end


function err_keymenu.update()
    menu:update()
    if KEY.esc.pressed then
        menu:_finish()
        KEY.esc.pressed = false
    end
end


function err_keymenu.draw()
    -- TODO: Andere Farbe?
    love.graphics.draw(IMG_BACKGROUND)
    love.graphics.setFont(TTF_TITLES)
    love.graphics.print({{1,.4,.4},LANG[26]}, 0, 20)
    love.graphics.setFont(TTF)
    menu:draw()
end


function err_keymenu.init(k)
    MODE_UPD, MODE_DRAW = err_keymenu.update, err_keymenu.draw
    love.graphics.setFont(TTF)
    menu = menuengine.new(35, 300)
    menu:addEntry(LANG[12], err_keymenu.finish)
    SND_MENUERR:play()
    KEY.esc.pressed = false
end


return err_keymenu
