
function make_whud(x, y)
    -- kill all other HUDs
    for i=#actors,1,-1 do
        if actors[i].id == ID_HUD then
            table.remove(actors, i)
        end
    end

    local f=make_actor(x, y)
    f.id = ID_HUD
    f.batch = love.graphics.newSpriteBatch(IMG_SPRITES, 20 * 18)
    f.width = 0
    --f.last_curpos = 0
    f.pos = 1
    f.draw = function(f)
        --IMG_SPRITES:setFilter("nearest", "nearest")
        love.graphics.setColor(.1, .1, .1, 1)
        love.graphics.rectangle('fill', 0, 0, f.width*20*.6+7*(f.width)*.6+4, 20*.6+7)
        love.graphics.setColor(1, 1, 1, 1)
        love.graphics.rectangle('line', 0, 0, f.width*20*.6+7*(f.width)*.6+4, 20*.6+7)
        love.graphics.draw(f.batch, 4, 4, 0, .6, .6)
        love.graphics.setColor(1, 0, 0, 1)
        love.graphics.line(f.pos*20*.6+7*(f.pos)*.6+4, 18, (f.pos+1)*20*.6+7*(f.pos+1)*.6, 18)
        love.graphics.setColor(1, 1, 1, 1)
        --IMG_SPRITES:setFilter("linear", "nearest")
    end
    f.update = function(f, dt)
        if #PLAYERCURSOR == 0 then
            f.draw=function(f)end
        elseif f.las_curpos ~= #PLAYERCURSOR or MOUSE.wheel_up or MOUSE.wheel_down then
            --f.las_curpos = #PLAYERCURSOR
            --local l
            f.width = 0
            f.batch:clear()
            for i, v in ipairs(PLAYERCURSOR) do
                if i == PLAYERCURPOS then
                    f.pos = i - 1
                end
                f.batch:add(PLAYERCURSOR[i], (i-1)*20+7*(i-1), 0)
                f.batch:setColor()
                --f.batch:add(QUAD_HUD_X, 20, (i-1)*20)
                --l = f.batch:add(QUAD_HUD_1, 40, (i-1)*20)
                f.width = f.width + 1
            end
            f.batch:flush()
        end
    end
    --[[
    f.update = function(f, dt)
        if MOUSE.leftclick then
            f.update_leftclick(f)
        end
    end
    --]]
    --f.update_leftclick(f)
    return f
end
